
TextCritical.net - Feature #2836

Choosing a non-related work when a parallel works is already opened doesn't close the parallel work

07/12/2020 04:19 AM - Luke Murphey

Status: Closed Start date: 07/11/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.6.2   

Description

History

#1 - 07/12/2020 04:33 AM - Luke Murphey

Repro:

1. Open http://localhost:8081/work/antiquitates-judaicae/1/1?parallel=antiquities-of-the-jews

2. Select abdicatus: note that second work is not closed

Obs:

The issue a race condition in this call:

      // Drop the second work since this one is not related

      this.setState({ secondWork: null, secondWorkData: null });

      this.navigateToChapter(work);

navigateToChapter() immediately pops the state and loads the second work all over again

Solns:

Have navigateToChapter() take the second work

Convert this to a functional component

Would make the race condition less of a problem

#2 - 07/13/2020 05:46 AM - Luke Murphey

- Parent task deleted (#2784)

#3 - 08/04/2020 01:50 AM - Luke Murphey

- Target version changed from 4.6.1 to 4.6.2
http://localhost:8081/work/antiquitates-judaicae/1/1?parallel=antiquities-of-the-jews


#4 - 08/04/2020 06:55 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
